[package]
name = "casper-runtime-constants"
version = "0.3.25"
authors.workspace = true
edition.workspace = true
homepage.workspace = true
repository.workspace = true
license.workspace = true

[dependencies]
smallvec = { workspace = true }

frame-support = { workspace = true }
primitives = { workspace = true }
runtime-common = { workspace = true }

sp-runtime = { workspace = true }
sp-weights = { workspace = true }
sp-core = { workspace = true }

[features]
default = ["std"]
std = [
	"frame-support/std",
	"primitives/std",
	"runtime-common/std",
	"sp-core/std",
	"sp-runtime/std",
	"sp-weights/std",
]

# Set timing constants (e.g session period) to faster versions to speed up testing.
fast-runtime = []
